
<div class="msg-pop">
    <div>
      <h3>Shift Details</h3>
    </div>
   
  </div>
  <div>
    <div class="pop--inner">
      <div class="ibox-content">
        <div class="table-responsive custom-table">
        
          <table aria-describedby="Manage Company" *ngIf="vehicle_location_data" style="text-align: center;" class="table table-striped">
            <thead>
              <tr>
                <th scope="col"></th>
              </tr>
              <tr>
                <th scope="col"></th>
              </tr>
            </thead>
            <tbody>
              <td>
                <table aria-describedby="Manage Company" class="table table-bordered">
				  <tr *ngIf="vehicle_detail_data">
                    <th scope="col">Vehicle</th>
                    <td> ID: {{vehicle_detail_data.vehicle_id.vehicle_unique_id? vehicle_detail_data.vehicle_id.vehicle_unique_id : 'NA'}} <br>
						 Name: {{vehicle_detail_data.vehicle_id.display_name? vehicle_detail_data.vehicle_id.display_name : 'NA'}} <br>
						 Plate Number: {{vehicle_detail_data.vehicle_id.plate_number? vehicle_detail_data.vehicle_id.plate_number : 'NA'}}
						 </td>
                  </tr>
                  <tr>
                    <th scope="col">Battery</th>
                    <td> {{vehicle_location_data.battery? vehicle_location_data.battery : 'NA'}} </td>
                  </tr>
                  <tr>
                    <th scope="col">GPS Strength</th>
                    <td>{{vehicle_location_data.gps_strength? vehicle_location_data.gps_strength : 'NA'}} </td>
                  </tr>
                  <tr>
                    <th scope="col">Speed</th>
                    <td>{{vehicle_location_data.speed? vehicle_location_data.speed : 'NA'}} </td>
                  </tr>
				  
				  <tr>
				  <th scope="col">Device</th>
					<td>
					ID :{{vehicle_detail_data.device_id.unique_device_id ? vehicle_detail_data.device_id.unique_device_id : 'NA'}} <br>
					UDID :{{vehicle_detail_data.device_id.ud_id ? vehicle_detail_data.device_id.ud_id : 'NA'}} <br>
					
					</td>
				  </tr>
				  
				  <tr>
				  <th scope="col">Driver</th>
					<td>
					ID: {{vehicle_detail_data.driver_id._id?vehicle_detail_data.driver_id._id : 'NA'}} <br>
					UserName: {{vehicle_detail_data.driver_id.username?vehicle_detail_data.driver_id.username : 'NA'}} 
					
					</td>
				  </tr>
				  
                </table>
              </td>
            </tbody>
          </table>
        </div>
      </div>
      <div class="container-fluid" *ngIf="!vehicle_location_data">
        <div class="row">
          <div class="dataTables_info1">
            <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
              No records found.
            </div>
          </div>
        </div>
      </div>
      <div class="pop-btn text-right">
        <input class="btn btn-default close-btn" value="Close" type="button" (click)="closePop()">
      </div>
    </div>